Q_XQUOTASYNC(2const)

NAME
Q_XQUOTASYNC - no-op

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

[[deprecated]]
int quotactl(QCMD(Q_XQUOTASYNC, type), NULL, 0, NULL);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

[[deprecated]]
int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XQUOTASYNC, type));

DESCRIPTION
This operation was an XFS quota equivalent to Q_SYNC(2const), but it is no-op since Linux 3.4, as sync(1) writes quota information to disk now (in addition to the other filesystem metadata that it writes out).

RETURN VALUE
See quotactl(2)

ERRORS
See quotactl(2)

STANDARDS
Linux.

HISTORY
Linux 2.6.15. No-op since Linux 3.4.

SEE ALSO
quotactl(2), quotactl_fd(2)